#ifndef CLIPBOARD_H
#define CLIPBOARD_H

// K-3D
// Copyright  1995 - 2000, Timothy M. Shead
//
// Contact: tshead@k-3d.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

/** \file
		\brief Declares the CClipboard class, which can supply data to X as the primary selection
		\author Tim Shead (tshead@k-3d.com)
*/

#include <sdpgtkobjectcontainer.h>

// Forward class references ...

////////////////////////////////////////////////////////////////////////////
// CClipboard

typedef sdpGtkObjectContainer CClipboardBase;

/// Acts as a data source for the X primary selection
class CClipboard : public CClipboardBase
{
public:
	CClipboard();
	~CClipboard();

	void SetText(SDPCSTRING Text);

	bool GrabSelection();
	bool HaveSelection() const;

protected:
	void OnEvent(sdpGtkEvent* Event);
	void OnSelectionGet(sdpGtkEvent* Event);
	void OnSelectionClear(sdpGtkEvent* Event);
	
	bool m_HaveSelection;
	sdpString m_Text;
};

#endif // CLIPBOARD_H
