#ifndef RENDERFARM_H
#define RENDERFARM_H

// K-3D
// Copyright  1995-2000, Timothy M. Shead
//
// Contact: tshead@k-3d.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

/** \file
		\brief Declares the CRenderFarm class, which encapsulates a virtual render farm
		\author Tim Shead (tshead@k-3d.com)
*/

#include "renderjob.h"

#include <k3direnderfarm.h>
#include <list>

//////////////////////////////////////////////////////////////////////////////////
// CRenderFarm

class CRenderFarm : public k3dIRenderFarm
{
public:
	CRenderFarm();
	virtual ~CRenderFarm();

	// k3dIRenderFarm overrides ...
	k3dIRenderJob* CreateJob(SDPCSTRING JobName, guchar Priority);
	sdpResult StartJob(k3dIRenderJob* Job);

	SDPCSTRING Path();

protected:
	RenderJobList m_RenderJobs;
};

#endif // RENDERFARM_H
