#ifndef SHADEREDITOR_H
#define SHADEREDITOR_H

// K-3D
// Copyright  1995 - 2000, Timothy M. Shead
//
// Contact: tshead@k-3d.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

/** \file
		\brief Declares the CShaderEditor class, which provides a UI for editing / compiling RenderMan Shading Language source
		\author Tim Shead (tshead@k-3d.com)
*/

#include <k3dshadereditor.h>

// Forward class references ...
class CApplication;

////////////////////////////////////////////////////////////////////////////
// CShaderEditor

typedef k3dShaderEditor CShaderEditorBase;

/// Implements the application user interface
class CShaderEditor :
	public CShaderEditorBase
{
public:
	CShaderEditor(CApplication* const Application);
	~CShaderEditor();

	// k3dIEventObserver implementation
	sdpResult ObserveEvent(k3dIEventSource* const Source, SDPCSTRING Event, SDPCSTRING EventData, SDPCSTRING ObserverData);
};

#endif // SHADEREDITOR_H
