#ifndef K3DCOM_H
#define K3DCOM_H

/** \file
		\brief Declares all K-3D object Class IDs
		\author Tim Shead (tshead@k-3d.com)
*/

#ifndef SDPTYPES_H
#include <sdptypes.h>
#endif // !SDPTYPES_H

namespace k3d
{

namespace classid
{

extern const sdp::ClassID Axes;
extern const sdp::ClassID Bend;
extern const sdp::ClassID Bender;
extern const sdp::ClassID Bevel;
extern const sdp::ClassID Bitmap;
extern const sdp::ClassID BitmapReadFormatNetPBM;
extern const sdp::ClassID BitmapWriteFormatNetPBM;
extern const sdp::ClassID Boolean;
extern const sdp::ClassID BooleanOps;
extern const sdp::ClassID BooleanOperator;
extern const sdp::ClassID BreakPath;
extern const sdp::ClassID Bridge;
extern const sdp::ClassID Bulge;
extern const sdp::ClassID Bulger;
extern const sdp::ClassID Camera;
extern const sdp::ClassID Channel;
extern const sdp::ClassID CloseObjects;
extern const sdp::ClassID Cone;
extern const sdp::ClassID Cylinder;
extern const sdp::ClassID Disk;
extern const sdp::ClassID Displace;
extern const sdp::ClassID Displacer;
extern const sdp::ClassID Extrude;
extern const sdp::ClassID FFDeform;
extern const sdp::ClassID FFDeformer;
extern const sdp::ClassID FractalTerrain;
extern const sdp::ClassID Freehand;
extern const sdp::ClassID GeometryReadFormat3DS;
extern const sdp::ClassID GeometryReadFormatGTS;
extern const sdp::ClassID GeometryReadFormatNebula;
extern const sdp::ClassID GeometryReadFormatOBJ;
extern const sdp::ClassID GeometryReadFormatPLIB;
extern const sdp::ClassID GeometryWriteFormatGTS;
extern const sdp::ClassID GeometryWriteFormatOBJ;
extern const sdp::ClassID GeometryWriteFormatNebula;
extern const sdp::ClassID GeometryWriteFormatX;
extern const sdp::ClassID Group;
extern const sdp::ClassID Hyperboloid;
extern const sdp::ClassID ImageLayer;
extern const sdp::ClassID ImplicitObject;
extern const sdp::ClassID JavaScriptEngine;
extern const sdp::ClassID JoinPaths;
extern const sdp::ClassID Knots;
extern const sdp::ClassID Lathe;
extern const sdp::ClassID LensFlare;
extern const sdp::ClassID Light;
extern const sdp::ClassID Lightning;
extern const sdp::ClassID LightningAnode;
extern const sdp::ClassID LightningCathode;
extern const sdp::ClassID LissaCurve;
extern const sdp::ClassID Magnet;
extern const sdp::ClassID Magnetiser;
extern const sdp::ClassID MakeAVI;
extern const sdp::ClassID MatchPoints;
extern const sdp::ClassID Material;
extern const sdp::ClassID Mesh;
extern const sdp::ClassID Mirror;
extern const sdp::ClassID Newell;
extern const sdp::ClassID NurbsMesh;
extern const sdp::ClassID ObjectSelector;
extern const sdp::ClassID Origin;
extern const sdp::ClassID Paraboloid;
extern const sdp::ClassID ParticleBurst;
extern const sdp::ClassID PathExtrude;
extern const sdp::ClassID PlayAVI;
extern const sdp::ClassID Polygonizer;
extern const sdp::ClassID Primitives;
extern const sdp::ClassID Rotate;
extern const sdp::ClassID Scale;
extern const sdp::ClassID SelectSimilar;
extern const sdp::ClassID ShadeEdit;
extern const sdp::ClassID ShaderSelector;
extern const sdp::ClassID Slant;
extern const sdp::ClassID Slanter;
extern const sdp::ClassID Smooth;
extern const sdp::ClassID Snap;
extern const sdp::ClassID Sphere;
extern const sdp::ClassID Sphereize;
extern const sdp::ClassID Sphereizer;
extern const sdp::ClassID Stats;
extern const sdp::ClassID SubDivide;
extern const sdp::ClassID Taper;
extern const sdp::ClassID Taperer;
extern const sdp::ClassID Target;
extern const sdp::ClassID Torus;
extern const sdp::ClassID Triangulate;
extern const sdp::ClassID Text;
extern const sdp::ClassID Transformer;
extern const sdp::ClassID Translate;
extern const sdp::ClassID Twist;
extern const sdp::ClassID Twister;
extern const sdp::ClassID UVMap;
extern const sdp::ClassID VideoFormatAVI;
extern const sdp::ClassID Wave;
extern const sdp::ClassID Waveizer;

} // namespace class

} // namespace k3d

#endif // K3DCOM_H

