#ifndef K3DIBEZIERCHANNELNODE_H
#define K3DIBEZIERCHANNELNODE_H

// K-3D
// Copyright  1995 - 2000, Timothy M. Shead
//
// Contact: tshead@k-3d.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

/** \file
		\brief Declares k3dIBezierChannelNode, an abstract interface for a two-dimensional Bezier control point
		\author Tim Shead (tshead@k-3d.com)
*/

#ifndef SDPTYPES_H
#include <sdptypes.h>
#endif // !SDPTYPES_H

/// Abstract interface for a two-dimensional Bezier control point
class k3dIBezierChannelNode :
	public virtual sdpIUnknown
{
public:
	/// Returns the position of this node
	virtual sdpResult Position(sdpVector2& Position) = 0;
	/// Sets the position of this node
	virtual sdpResult SetPosition(const sdpVector2& Position) = 0;
	
	static SDPCSTRING Event_Deleted;
	static SDPCSTRING Event_Undeleted;
	static SDPCSTRING Event_Moved;

protected:
	virtual ~k3dIBezierChannelNode() {}
};

#endif // K3DIBEZIERCHANNELNODE_H
