#ifndef K3DICOMMANDRECORDER_H
#define K3DICOMMANDRECORDER_H

// K-3D
// Copyright  1995 - 2000, Timothy M. Shead
//
// Contact: tshead@k-3d.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

/** \file
		\brief Declares k3dICommandRecorder, an abstract interface for objects capable of recording user input in the form of k3dICommandNode commands
		\author Tim Shead (tshead@k-3d.com)
*/

#include <k3dicommandnode.h>

/// Abstract interface for objects capable of recording user input
class k3dICommandRecorder :
	public virtual sdpIUnknown
{
public:
	virtual sdpResult IsRecording() = 0;
	virtual sdpResult RecordCommand(k3dICommandNode* CommandNode, k3dICommandNode::CommandType Type, SDPCSTRING CommandName, SDPCSTRING Arguments) = 0;

protected:
	virtual ~k3dICommandRecorder() {}
};

#endif // K3DICOMMANDRECORDER_H
