#ifndef K3DIKNOT_H
#define K3DIKNOT_H

// K-3D
// Copyright  1995 - 2000, Timothy M. Shead
//
// Contact: tshead@k-3d.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

/** \file
		\brief Declares the k3dIKnot abstract interface for objects that encapsulate a knot in a NURBS curve or surface
		\author Tim Shead (tshead@k-3d.com)
*/

#ifndef SDPTYPES_H
#include <sdptypes.h>
#endif // !SDPTYPES_H

/// Abstract interface for objects that encapsulate a knot in a NURBS curve or surface
class k3dIKnot :
	public virtual sdpIUnknown
{
public:
	virtual gdouble Value() = 0;
	virtual sdpResult SetValue(gdouble Value) = 0;

protected:
	virtual ~k3dIKnot() {}
};

#endif // K3DIKNOT_H
