#ifndef K3DIKNOTCOLLECTION_H
#define K3DIKNOTCOLLECTION_H

// K-3D
// Copyright  1995 - 2000, Timothy M. Shead
//
// Contact: tshead@k-3d.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

/** \file
		\brief Declares the k3dIKnotCollection abstract interface for collections of k3dIKnot objects
		\author Tim Shead (tshead@k-3d.com)
*/

#ifndef SDPTYPES_H
#include <sdptypes.h>
#endif // !SDPTYPES_H

// Forward class declarations
class k3dIKnot;

SDP_DECLARE_HANDLE(K3DKNOTHANDLE);

/// Abstract interface for collections of k3dIKnot objects
class k3dIKnotCollection :
	public virtual sdpIUnknown
{
public:
	virtual gulong KnotCount() = 0;
	virtual K3DKNOTHANDLE FirstKnot() = 0;
	virtual K3DKNOTHANDLE NextKnot(K3DKNOTHANDLE Knot) = 0;
	virtual k3dIKnot* Knot(K3DKNOTHANDLE Knot) = 0;

protected:
	virtual ~k3dIKnotCollection() {}
};

#endif // K3DIKNOTCOLLECTION_H

