#ifndef K3DIMATERIALCOLLECTION_H
#define K3DIMATERIALCOLLECTION_H

// K-3D
// Copyright  1995 - 2000, Timothy M. Shead
//
// Contact: tshead@k-3d.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

/** \file
		\brief Declares k3dIMaterialCollection, an abstract interface for collections of k3dIMaterial objects
		\author Tim Shead (tshead@k-3d.com)
*/

#ifndef SDPTYPES_H
#include <sdptypes.h>
#endif // !SDPTYPES_H

// Forward class references ...
class k3dIMaterial;

/// Abstract interface for collections of k3dIMaterial objects
/** \todo Update this to represent an actual collection, not just a single object **/
class k3dIMaterialCollection :
	public virtual sdpIUnknown
{
public:
	virtual k3dIMaterial* Material() = 0;
	virtual sdpResult SetMaterial(k3dIMaterial* const Material) = 0;

protected:
	virtual ~k3dIMaterialCollection() {}
};

#endif // K3DIMATERIALCOLLECTION_H
