#ifndef K3DINURBSCONTROLPOINT_H
#define K3DINURBSCONTROLPOINT_H

// K-3D
// Copyright  1995 - 2000, Timothy M. Shead
//
// Contact: tshead@k-3d.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

/** \file
		\brief Declares the k3dINurbsControlPoint abstract interface for geometric point objects
		\author Romain Behar with NURBS students (romainbehar@yahoo.com)
*/

// Forward class declarations
class k3dIState;
class k3dILocation;
class k3dINurbsMesh;
class k3dINurbsControlPoint;

/// Abstract interface for geometric nurbs point objects
class k3dINurbsControlPoint :
	public virtual sdpIUnknown
{
public:
	virtual k3dIState* State() = 0;
	virtual k3dILocation* Location() = 0;
	virtual k3dINurbsMesh* Mesh() = 0;

	/// Defines a unique identifier that can be serialized
	typedef gulong ID;
	/// Returns a unique identifier for this object that can be serialized
	virtual const ID PointID() = 0;

protected:
	virtual ~k3dINurbsControlPoint() {}
};

#endif // K3DINURBSCONTROLPOINT_H
