#ifndef K3DINURBSPATHPOINT_H
#define K3DINURBSPATHPOINT_H

// K-3D
// Copyright  1995 - 2000, Timothy M. Shead
//
// Contact: tshead@k-3d.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

/** \file
		\brief Declares k3dINurbsPathPoint abstract interface, which encapsulates the many-to-many relationship between k3dINurbsControlPoint and k3dINurbsPath
		\author Romain Behar with NURBS students (romainbehar@yahoo.com)
*/

// Forward class declarations
class k3dIState;
class k3dILocation;
class k3dINurbsMesh;
class k3dINurbsPath;
class k3dINurbsControlPoint;

/// Abstract interface which encapsulates the many-to-many relationship between k3dINurbsControlPoint and k3dINurbsPath
class k3dINurbsPathPoint :
	public virtual sdpIUnknown
{
public:
	virtual k3dINurbsControlPoint* Point() = 0;
	virtual k3dIState* State() = 0;
	virtual k3dILocation* Location() = 0;
	
	/// Defines a unique identifier that can be serialized
	typedef gulong ID;
	/// Returns a unique identifier for this object that can be serialized
	virtual const ID PathPointID() = 0;

protected:
	virtual ~k3dINurbsPathPoint() {}
};

#endif // K3DINURBSPATHPOINT_H
