#ifndef K3DIOBJECTINFOCOLLECTION_H
#define K3DIOBJECTINFOCOLLECTION_H

// K-3D
// Copyright  1995 - 2000, Timothy M. Shead
//
// Contact: tshead@k-3d.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

/** \file
		\brief Declares k3dIObjectInfoCollection, an abstract interface which encapsulates a collection of k3dIObjectInfo objects
		\author Tim Shead (tshead@k-3d.com)
*/

// Forward class declarations
class k3dIObjectInfo;

/// Abstract visitor interface for k3dIObjectInfo collections
class k3dIObjectInfoVisitor
{
public:
	virtual void VisitObjectInfo(k3dIObjectInfo* const ObjectInfo) = 0;

protected:
	virtual ~k3dIObjectInfoVisitor() {}
};

/// Encapsulates public functionality of the K-3D application
class k3dIObjectInfoCollection :
	public virtual sdpIUnknown
{
public:
	/// Visits the entire collection of k3dIObjectInfo objects
	virtual void VisitObjectInfo(k3dIObjectInfoVisitor* const Visitor) = 0;

protected:
	virtual ~k3dIObjectInfoCollection() {}
};

#endif // K3DIOBJECTINFOCOLLECTION_H

