#ifndef K3DIOBJECTMODULE_H
#define K3DIOBJECTMODULE_H

// K-3D
// Copyright  1995 - 2000, Timothy M. Shead
//
// Contact: tshead@k-3d.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

/** \file
		\brief Declares k3dIObjectModule, an abstract interface which encapsulates information about a module (shared library) containing K-3D objects
		\author Tim Shead (tshead@k-3d.com)
*/

#ifndef SDPTYPES_H
#include <sdptypes.h>
#endif // !SDPTYPES_H

// Forward class declarations
class k3dIApplication;

/// Abstract interface encapsulating information about a module (shared library) containing K-3D objects
class k3dIObjectModule :
	public virtual sdpIUnknown
{
public:
	virtual SDPCSTRING Name() = 0;
	virtual SDPCSTRING Path() = 0;

protected:
	virtual ~k3dIObjectModule() {}
};

#endif // K3DIOBJECTMODULE_H
