// K-3D
// Copyright  1995 - 2000, Timothy M. Shead
//
// Contact: tshead@k-3d.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

/** \file
		\brief Implements the k3dAction implementation of k3dIAction
		\author Tim Shead (tshead@k-3d.com)
*/

#include <k3daxis.h>

#ifndef SDPTYPES_H
#include <sdptypes.h>
#endif // !SDPTYPES_H

namespace k3d
{
	
std::ostream& operator<<(std::ostream& Stream, const Axis& Value)
{
	switch(Value)
		{
			case X:
				Stream << "x";
				break;
			case Y:
				Stream << "y";
				break;
			case Z:
				Stream << "z";
				break;
		}
		
	return Stream;
}

std::istream& operator>>(std::istream& Stream, Axis& Value)
{
	char c;
	Stream >> c;
		
	if('x' == c)
		Value = X;
	else if('y' == c)
		Value = Y;
	else if('z' == c)
		Value = Z;
	else
		std::cerr << g_pretty_function() << " could not extract value [" << c << "]" << std::endl;
		
	return Stream;
}

} // namespace k3d

