// K-3D
// Copyright  1995 - 2000, Timothy M. Shead
//
// Contact: tshead@k-3d.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

/** \file
		\brief Implements some odds-and-ends for facilitating GTK+ drag-and-drop between UI components ...
		\author Tim Shead (tshead@k-3d.com)
*/

#include <k3ddnd.h>
#include <memory>
	
static std::auto_ptr<GtkTargetEntry> TargetEntry(0);
	
GtkTargetEntry* const k3dDNDCreateObject()
{
	if(0 == TargetEntry.get())
		{
			std::auto_ptr<GtkTargetEntry> temp(new GtkTargetEntry);
			
			TargetEntry = temp;
			TargetEntry->target = "k3d_dnd_create_object";
//			TargetEntry->flags = GTK_TARGET_SAME_APP;
			TargetEntry->flags = 0;
			TargetEntry->info = 0;
		}

	return TargetEntry.get();
}
	

