// K-3D
// Copyright  1995 - 2000, Timothy M. Shead
//
// Contact: tshead@k-3d.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

/** \file
		\brief Implements k3dEditable, which provides a default implementation of the k3dIEditable interface
		\author Tim Shead (tshead@k-3d.com)
*/

#include <k3deditable.h>
#include <iostream>

k3dEditable::k3dEditable() :
	m_Editing(0)
{
}

k3dEditable::~k3dEditable()
{
	// Sanity checks ...
	if(m_Editing)
		std::cerr << g_pretty_function() << ": object is still being edited!!!" << std::endl;
}

void k3dEditable::PushEditing()
{
	++m_Editing;
}

void k3dEditable::PopEditing()
{
	// Sanity checks ...
	/** \todo Get rid of this nag once things stabilize; allowing excess calls to Pop may be necessary/efficient */
//	g_return_if_fail(m_Editing);
//	g_assert(m_Editing);

	if(m_Editing)
		--m_Editing;
}

