#ifndef K3DEDITABLE_H
#define K3DEDITABLE_H

// K-3D
// Copyright  1995 - 2000, Timothy M. Shead
//
// Contact: tshead@k-3d.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

/** \file
		\brief Declares k3dEditable, which provides a default implementation of the k3dIEditable interface
		\author Tim Shead (tshead@k-3d.com)
*/

#include <k3dieditable.h>

/// Provides a default implementation of the k3dIEditable interface
class k3dEditable :
	public k3dIEditable
{
public:
	k3dEditable();
	virtual ~k3dEditable();

	// k3dIEditable implementation
	void PushEditing();
	void PopEditing();

	/// Returns whether we're currently in an editing state
	inline bool Editing() const
	{
		return m_Editing;
	}
	
private:
	gulong m_Editing;
};

#endif // K3DEDITABLE_H
