#ifndef K3DEVENTCONNECTOR_H
#define K3DEVENTCONNECTOR_H

// K-3D
// Copyright  1995-2000, Timothy M. Shead
//
// Contact: tshead@k-3d.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

/** \file
		\brief Declares the k3dEventConnector class, which facilitates making connections betwen event sources and observers
		\author Tim Shead (tshead@k-3d.com)
*/

#ifndef SDPTYPES_H
#include <sdptypes.h>
#endif // !SDPTYPES_H

// Forward class declarations
class k3dIEventObserver;
class k3dIEventSource;

/////////////////////////////////////////////////////////////////
// k3dEventConnector

class k3dEventConnector
{
public:
	k3dEventConnector(k3dIEventObserver* const Observer, SDPCSTRING Event, SDPCSTRING ObserverData, k3dEventConnector* const NextConnector);
	k3dEventConnector(k3dIEventSource* const Source, k3dIEventObserver* const Observer, SDPCSTRING Event, SDPCSTRING ObserverData, k3dEventConnector* const NextConnector);
	virtual ~k3dEventConnector();
	
	void Attach(k3dIEventSource* const Source);
	bool Attached() const;
	void Detach();
	
protected:
	k3dIEventSource* m_Source;
	
	k3dIEventObserver* const m_Observer;
	const sdpString m_Event;
	const sdpString m_ObserverData;
	k3dEventConnector* const m_NextConnector;
};

#endif // !K3DEVENTCONNECTOR_H
