#ifndef K3DSCRIPTEDITOR_H
#define K3DSCRIPTEDITOR_H

// K-3D
// Copyright  1995 - 2000, Timothy M. Shead
//
// Contact: tshead@k-3d.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

/** \file
		\brief Declares the k3dScriptEditor class, which provides an extensible UI for editing script files
		\author Tim Shead (tshead@k-3d.com)
*/

#include <k3dtexteditor.h>

////////////////////////////////////////////////////////////////////////////
// k3dScriptEditor

typedef k3dTextEditor k3dScriptEditorBase;

/// Implements the application user interface
class k3dScriptEditor : public k3dScriptEditorBase
{
public:
	k3dScriptEditor(sdpIUnknown* ParentCommandNode, SDPCSTRING CommandNodeName);
	virtual ~k3dScriptEditor();

	static const sdpString control_play;
			
protected:
	sdpString GetTitlebarText();

	void OnFileSaveAs();

	/// Overrides sdpGtkObjectContainer to handle custom events
	virtual void OnEvent(sdpGtkEvent* Event);
	/// Called to play the current script
	virtual void OnPlay();
	
	/// Set to "true" while a script is executing
	bool m_Running;
};

#endif // K3DSCRIPTEDITOR_H
