#ifndef K3DSCRIPTING_H
#define K3DSCRIPTING_H

// K-3D
// Copyright  1995 - 2000, Timothy M. Shead
//
// Contact: tshead@k-3d.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

/** \file
		\brief Declares convenience objects for working with scripts
		\author Tim Shead (tshead@k-3d.com)
*/

#ifndef SDPTYPES_H
#include <sdptypes.h>
#endif // !SDPTYPES_H

#include <iostream>

namespace k3d
{
	
/// Executes the contents of a stream as a script
bool ExecuteScript(std::istream& Script, const sdpString ScriptName);
/// Executes the contents of a stream as a script
bool ExecuteScript(std::istream& Script, const sdpString ScriptName, const sdp::ClassID Engine);

} // namespace k3d

#endif // K3DSCRIPTING_H
