// K-3D
// Copyright  1995-2000, Timothy M. Shead
//
// Contact: tshead@k-3d.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

/** \file
		\brief Implements the k3dShaderEditor class, which provides an extensible UI for editing RenderMan Shading Language source files
		\author Tim Shead (tshead@k-3d.com)
*/

#include <k3dshadereditor.h>
#include <k3dmisc.h>

#include <sdpgtkevents.h>

//////////////////////////////////////////////////////////////////////
// k3dShaderEditor

const sdpString k3dShaderEditor::control_compile = "compile";

k3dShaderEditor::k3dShaderEditor(sdpIUnknown* ParentCommandNode, SDPCSTRING CommandNodeName) :
	k3dShaderEditorBase(ParentCommandNode, CommandNodeName)
{
}

k3dShaderEditor::~k3dShaderEditor()
{
}

sdpString k3dShaderEditor::GetTitlebarText()
{
	sdpString result = k3dShaderEditorBase::GetTitlebarText();

/*	
	if(m_Running)
		result += " [ running ]";
*/
	
	return result;
}

void k3dShaderEditor::OnFileSaveAs()
{
	sdpString filepath;
	if(!k3dGetFilePath("shader", "Save Shader As:", true, m_FilePath, filepath))
		return;

	Save(filepath);
}

void k3dShaderEditor::OnEvent(sdpGtkEvent* Event)
{
	if(Event->Name() == control_compile)
		OnCompile();
	else
		k3dShaderEditorBase::OnEvent(Event);
}

void k3dShaderEditor::OnCompile()
{
/*
	m_Running = true;
	Widget(control_play).SetSensitive(false);
	UpdateTitlebar();

	sdpString script = TextControl().GetText();
	k3dExecuteScript(m_Application, script, GetTitle());
	
	m_Running = false;
	Widget(control_play).SetSensitive(true);
	UpdateTitlebar();
*/
}


