#ifndef K3DSOFTOBJECT_H
#define K3DSOFTOBJECT_H

// K-3D
// Copyright  1995 - 2002, Timothy M. Shead
//
// Contact: tshead@k-3d.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

/** \file
		\brief Declares the k3dSoftObject class, which implements k3dIImplicitObject
		\author Romain Behar (romainbehar@yahoo.com)
*/

#include <k3dtransformobject.h>
#include <k3dvariable.h>

#include <k3diimplicitobject.h>

/////////////////////////////////////////////////////////////////////////////////////
// k3dSoftObject

typedef k3dTransformObject k3dSoftObjectBase;

/// Provides a default implementation of k3dIMesh
class k3dSoftObject :
	public k3dSoftObjectBase,
	public k3dIImplicitObject
{
public:
	k3dSoftObject(sdpIUnknown* Initializer);
	~k3dSoftObject();

	// k3dIMesh implementation
	k3dIDocument* Document();

	// k3dIObject implementation
//	k3dIState* State();

	// k3dIState implementation
//	sdpResult SetState(gulong Mask, bool State);

	// k3dIPersist implementation
	sdpResult Load(sdpxml::Document& Document, sdpxml::Element& Element);
	sdpResult LoadComplete();
	sdpResult Save(sdpxml::Element& Element, k3dIDependencies* Dependencies);

	// k3dIEditable implementation
	void PushEditing();
	void PopEditing();
};

#endif // K3DSOFTOBJECT_H
