#ifndef MESH_H
#define MESH_H

// K-3D
// Copyright  1995 - 2000, Timothy M. Shead
//
// Contact: tshead@k-3d.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

/** \file
		\brief Declares the CMesh class, which encapsulates a collection of points, paths, material, NURBS curves, and shading information
		\author Timothy M. Shead (tshead@k-3d.com)
		\author Romain Behar (romainbehar@yahoo.com)
*/

#include <k3dobjectdialog.h>
#include <k3dmesh.h>
#include <sdpgl.h>

/////////////////////////////////////////////////////////////////////////////////////
// CMesh

typedef k3dMesh CMeshBase;

/// Encapsulates a collection of points, paths, material, and shading information
class CMesh : public CMeshBase
{
public:
	CMesh(sdpIUnknown* Initializer);

	// k3dIObject implementation
	sdpResult EditObject();
	
private:
	typedef k3dObjectDialog PropertiesBase;
	class Properties :
		public PropertiesBase
	{
	public:
		Properties(CMesh* const Object);
	
	private:
		/// Stores a pointer to the owning object
		CMesh* const m_Object;
	};
	friend class Properties;
};

#endif // MESH_H
