#ifndef GTSWRITER_H
#define GTSWRITER_H

// K-3D
// Copyright  1995-2000, Timothy M. Shead
//
// Contact: tshead@k-3d.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

/** \file
		\brief Declares the CGTSWriter K-3D object, which writes GTS *.gts files
		\author Romain Behar (romainbehar@yahoo.com)
*/

#include <k3dobject.h>
#include <k3difileformat.h>
#include <k3digeometrywriteformat.h>

///////////////////////////////////////////////////////////////////////////////
// CGTSWriter

typedef k3dObject CGTSWriterBase;

class CGTSWriter :
	public CGTSWriterBase,
	public k3dIFileFormat,
	public k3dIGeometryWriteFormat
{
public:
	CGTSWriter(sdpIUnknown* Initializer);

	// k3dIFileFormat implementation
	bool QueryCanHandle(SDPCSTRING FilePath);

	// k3dIGeometryWriteFormat implementation
	sdpResult PreWrite(SDPCSTRING FilePath);
	sdpResult WriteOptions(SDPCSTRING FilePath);
	sdpResult WriteFile(SDPCSTRING FilePath);
};

#endif // GTSWRITER_H

