#ifndef OBJREADER_H
#define OBJREADER_H

// K-3D
// Copyright  1995-2000, Timothy M. Shead
//
// Contact: tshead@k-3d.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

/** \file
		\brief Declares the COBJReader K-3D object, which reads Wavefront .obj files
		\author Tim Shead (tshead@k-3d.com)
*/

#include <k3dobject.h>
#include <k3difileformat.h>
#include <k3digeometryreadformat.h>

///////////////////////////////////////////////////////////////////////////////
// COBJReader

typedef k3dObject COBJReaderBase;

class COBJReader :
	public COBJReaderBase,
	public k3dIFileFormat,
	public k3dIGeometryReadFormat
{
public:
	COBJReader(sdpIUnknown* Initializer);

	// k3dIFileFormat implementation
	bool QueryCanHandle(SDPCSTRING FilePath);

	// k3dIGeometryReadFormat implementation
	sdpResult PreRead(SDPCSTRING FilePath);
	sdpResult ReadOptions(SDPCSTRING FilePath);
	sdpResult ReadFile(SDPCSTRING FilePath);
};

#endif // OBJREADER_H
