#ifndef SAKA_X_WRITER_H
#define SAKA_X_WRITER_H

// K-3D
//
// .x (DirectX) file writer for K3D
//
// Adapted from GTS writer code
// 
//
// Copyright  1995-2000, Timothy M. Shead
// Contact: tshead@k-3d.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

/** \file
		\brief Declares the CXWriter K-3D object, which writes Direct X .x files
		\author Adam Sakareassen (amsaka@ugrad.unimelb.edu.au)
		\author Tim Shead (tshead@k-3d.com)
*/

#include <k3dobject.h>
#include <k3difileformat.h>
#include <k3digeometrywriteformat.h>

///////////////////////////////////////////////////////////////////////////////
// CGTSWriter

typedef k3dObject CXWriterBase;

class CXWriter :
	public CXWriterBase,
	public k3dIFileFormat,
	public k3dIGeometryWriteFormat
{
public:
	CXWriter(sdpIUnknown* Initializer);

	// k3dIFileFormat implementation
	bool QueryCanHandle(SDPCSTRING FilePath);

	// k3dIGeometryWriteFormat implementation
	sdpResult PreWrite(SDPCSTRING FilePath);
	sdpResult WriteOptions(SDPCSTRING FilePath);
	sdpResult WriteFile(SDPCSTRING FilePath);
};

#endif
