#ifndef PLIBREADER_H
#define PLIBREADER_H

// K-3D
// Copyright  1995-2000, Timothy M. Shead
//
// Contact: tshead@k-3d.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

/** \file
		\brief Declares the CPLIBReader K-3D object, which reads PLIB .* files
		\author Romain Behar (romainbehar@yahoo.com)
*/

#include <iostream>
#include <fstream>

#include <k3dobject.h>
#include <k3difileformat.h>
#include <k3digeometryreadformat.h>

///////////////////////////////////////////////////////////////////////////////
// CPLIBReader

typedef k3dObject CPLIBReaderBase;

class CPLIBReader :
	public CPLIBReaderBase,
	public k3dIFileFormat,
	public k3dIGeometryReadFormat
{
 public:
	CPLIBReader(sdpIUnknown* Initializer);

	// special functions
	bool dataline(std::ifstream& file, char* linebuffer, const int& linebuffersize);
	gulong k3d_index(const gulong& external_index) { return external_index - 1; }

	// k3dIFileFormat implementation
	bool QueryCanHandle(SDPCSTRING FilePath);

	// k3dIGeometryReadFormat implementation
	sdpResult PreRead(SDPCSTRING FilePath);
	sdpResult ReadOptions(SDPCSTRING FilePath);
	sdpResult ReadFile(SDPCSTRING FilePath);
};

#endif // PLIBREADER_H
